from rdflib import Graph
from rdflib.namespace import RDFS

#from subprocess import call

#call("./../../Ontologies/s-get http://155.207.131.19:3030/Mokos_18_1_7_47/data default >> ../../Ontologies/data.ttl", shell=True)

Ontology_file = "../../Ontologies/Mokos_18_1_7_47.ttl"

list_of_DSO = ["DSO", "DSO-AOCS", "DSO-AOCS-instances"]
list_of_RMO = ["RMO", "RMO-instances", "DSO-AOCS-instances", "<http://delab.csd.auth.gr/ontologies/2018/RDO-instances"]



def findsubclass():
    file2 = open(r"../../Ontologies/instances.txt","w+") 

    g = Graph()
    g.load(Ontology_file, format="turtle")

    for subj, obj in g.subject_objects(predicate=RDFS.subClassOf):
        subClass = subj + "$"+ obj + "\n"
        file2.write(subClass)
    for subj, obj in g.subject_objects(predicate=RDFS.domain):
        subClass = subj + "$"+ obj + "\n"
        file2.write(subClass)
    for subj, obj in g.subject_objects(predicate=RDFS.range):
        subClass = subj + "$"+ obj + "\n"
        file2.write(subClass)


def get_instances(keyword):
    in_list = []
    with open('../../Ontologies/instances.txt') as f:
        for data in f:
            if (data.strip()).endswith(keyword):
                spliter_1 = data.split('$')
                spliter_2 = spliter_1[0].split("#")
                in_list.append(spliter_2[len(spliter_2) - 1])
    return tuple((str(n), str(n)) for n in in_list)


